## UpdateProjectEnvironmentClasses **post** `/gitpod.v1.ProjectService/UpdateProjectEnvironmentClasses` Updates all environment classes of a project. Use this method to: - Modify all environment classea of a project ### Examples - Update project environment classes: Updates all environment classes for a project. ```yaml projectId: "b0e12f6c-4c67-429d-a4a6-d9838b5da047" projectEnvironmentClasses: - environmentClassId: "b0e12f6c-4c67-429d-a4a6-d9838b5da041" order: 0 - localRunner: true order: 1 ``` ### Body Parameters - `projectEnvironmentClasses: optional array of ProjectEnvironmentClass` - `environmentClassId: optional string` Use a fixed environment class on a given Runner. This cannot be a local runner's environment class. - `localRunner: optional boolean` Use a local runner for the user - `order: optional number` order is the priority of this entry - `projectId: optional string` project_id specifies the project identifier ### Example ```http curl https://app.gitpod.io/api/gitpod.v1.ProjectService/UpdateProjectEnvironmentClasses \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $GITPOD_API_KEY" \ -d '{}' ``` #### Response ```json {} ```